Package x2go :: Module defaults

[frames] | no frames]

# Module defaults

source code

Default variables and values for Python X2Go.

Classes
| OSNotSupportedException

Variables
| __NAME__ = ``'``x2godefaults-pylib``'``
| X2GOCLIENT_OS = ``'``Linux``'``
| X_DISPLAY = `None`
| LOCAL_HOME = ``'``/sbuild-nonexistent``'``
| X2GO_SESSIONS_ROOTDIR = ``'``.x2go``'``
| X2GO_CLIENT_ROOTDIR = ``'``.x2goclient``'``
| ROOT_DIR = ``'``/``'``
| ETC_DIR = ``'``/etc/x2goclient``'``
| CURRENT_LOCAL_USER = ``'``buildd``'``
| X2GO_SSH_ROOTDIR = ``'``.ssh``'``
| SUPPORTED_SOUND = `True`
| SUPPORTED_PRINTING = `True`
| SUPPORTED_FOLDERSHARING = `True`
| SUPPORTED_MIMEBOX = `True`
| SUPPORTED_TELEKINESIS = `True`
| BACKENDS = ``{``'``X2GoClientPrinting``'``:` `{``'``FILE``'``:` `'``x2go.backends.prin``...``
| X2GO_SETTINGS_FILENAME = ``'``settings``'``
| X2GO_SETTINGS_CONFIGFILES = ``[``'``/sbuild-nonexistent/.x2goclient/``...``
| X2GO_PRINTING_FILENAME = ``'``printing``'``
| X2GO_PRINTING_CONFIGFILES = ``[``'``/sbuild-nonexistent/.x2goclient/``...``
| X2GO_SESSIONPROFILES_FILENAME = ``'``sessions``'``
| X2GO_SESSIONPROFILES_CONFIGFILES = ``[``'``/sbuild-nonexistent/.x2go``...``
| X2GO_XCONFIG_FILENAME = ``'``xconfig``'``
| X2GO_XCONFIG_CONFIGFILES = ``[``'``/sbuild-nonexistent/.x2goclient/x``...``
| X2GO_CLIENTSETTINGS_DEFAULTS = ``{``'``Authorization``'``:` `{``'``editprofile``...``
| X2GO_CLIENTPRINTING_DEFAULTS = ``{``'``CUPS``'``:` `{``'``defaultprinter``'``:` `'``PD``...``
| X2GO_CLIENTXCONFIG_DEFAULTS = ``{``}``
| X2GO_GENERIC_APPLICATIONS = ``[``'``WWWBROWSER``'``,` `'``MAILCLIENT``'``,` `'``OFFI``...`` X2Go's generic applications.
| X2GO_SESSIONPROFILE_DEFAULTS = ``{``'``applications``'``:` `[``'``WWWBROWSER``'``,``...`` X2GoSessionProfiles default values to fill a new session profile with.
| pack_methods_nx3_noqual = ``[``'``nopack``'``,` `'``8``'``,` `'``64``'``,` `'``256``'``,` `'``512``'``,` `...`` Available NX3 compression methods.
| pack_methods_nx3_formatted = ``'``\n \'nopack\', \'8\', \'64\',``...``
| pack_methods_nx3 = ``[``'``16m``'``,` `'``16m-jpeg-0``'``,` `'``16m-jpeg-1``'``,` `'``16m-jp``...``
| X2GO_DESKTOPSESSIONS = ``{``'``CINNAMON``'``:` `'``cinnamon``'``,` `'``GNOME``'``:` `'``gnom``...`` A dictionary with meta-commands for X2Go's window manager sessions.
| RSAKEY_STRENGTH = `1024`
| RSAHostKey = `<paramiko.rsakey.RSAKey object>` An RSA host key for this client session.
| X2GO_PRINT_ACTIONS = ``{``'``DIALOG``'``:` `'``X2GoPrintActionDIALOG``'``,` `'``PDFS``...`` Relating print action names and classes.
| DEFAULT_PDFVIEW_CMD = ``'``xdg-open``'`` Default PDF viewer command for Linux systems (PDFVIEW print action).
| DEFAULT_PDFSAVE_LOCATION = ``'``PDF``'`` Default location for saving PDF files (PDFSAVE print action).
| DEFAULT_PRINTCMD_CMD = ``'``lpr``'`` Default command for the PRINTCMD print action.
| X2GO_MIMEBOX_ACTIONS = ``{``'``OPEN``'``:` `'``X2GoMIMEboxActionOPEN``'``,` `'``OPEN``...`` Relating MIME box action names and classes.
| X2GO_MIMEBOX_EXTENSIONS_BLACKLIST = ``[``'``LOCK``'``,` `'``SYS``'``,` `'``SWP``'``,` `'``EX``...`` Black-listed MIME box file extenstions.
| X2GO_SHARE_VIEWONLY = `0` Constant representing read-only access to shared desktops.
| X2GO_SHARE_FULLACCESS = `1` Constant representing read-write (full) access to shared desktops.
| PUBAPP_MAX_NO_SUBMENUS = `10` Less than ten applications will not get rendered into submenus.
| __package__ = ``'``x2go``'``
| i = `9`
| m = ``'``16m-rle-%``'``
| meth = ``'``16m-rle-%``'``

Variables Details

### BACKENDS

Value:

      {'X2GoClientPrinting': {'FILE': 'x2go.backends.printing.file',
                              'GCONF': 'x2go.backends.printing.gconf',
                              'WINREG': 'x2go.backends.printing.winreg',
                              'default': 'FILE'},
       'X2GoClientSettings': {'FILE': 'x2go.backends.settings.file',
                              'GCONF': 'x2go.backends.settings.gconf',
                              'WINREG': 'x2go.backends.settings.winreg',
                              'default': 'FILE'},
      ...

### X2GO_SETTINGS_CONFIGFILES

Value:

      ['/sbuild-nonexistent/.x2goclient/settings',
       '/etc/x2goclient/settings']

### X2GO_PRINTING_CONFIGFILES

Value:

      ['/sbuild-nonexistent/.x2goclient/printing',
       '/etc/x2goclient/printing']

### X2GO_SESSIONPROFILES_CONFIGFILES

Value:

      ['/sbuild-nonexistent/.x2goclient/sessions',
       '/etc/x2goclient/sessions']

### X2GO_XCONFIG_CONFIGFILES

Value:

      ['/sbuild-nonexistent/.x2goclient/xconfig', '/etc/x2goclient/xconfig']

### X2GO_CLIENTSETTINGS_DEFAULTS

Value:

      {'Authorization': {'editprofile': True,
                         'newprofile': True,
                         'resume': True,
                         'suspend': True},
       'General': {'autoresume': True, 'clientport': 22},
       'LDAP': {'port': 389,
                'port1': 0,
                'port2': 0,
      ...

### X2GO_CLIENTPRINTING_DEFAULTS

Value:

      {'CUPS': {'defaultprinter': 'PDF'},
       'General': {'pdfview': True, 'showdialog': False},
       'print': {'command': 'lpr',
                 'ps': False,
                 'startcmd': False,
                 'stdin': False},
       'save': {'folder': 'PDF'},
       'view': {'command': 'xdg-open', 'open': True}}

### X2GO_GENERIC_APPLICATIONS

X2Go's generic applications.

Value:

      ['WWWBROWSER', 'MAILCLIENT', 'OFFICE', 'TERMINAL']

### X2GO_SESSIONPROFILE_DEFAULTS

X2GoSessionProfiles default values to fill a new session profile with.

Value:

      {'applications': ['WWWBROWSER', 'MAILCLIENT', 'OFFICE', 'TERMINAL'],
       'autoconnect': False,
       'autologin': True,
       'autostart': False,
       'clipboard': 'both',
       'command': 'TERMINAL',
       'defsndport': True,
       'directrdp': False,
      ...

### pack_methods_nx3_noqual

Available NX3 compression methods.

Value:

      ['nopack',
       '8',
       '64',
       '256',
       '512',
       '4k',
       '32k',
       '64k',
      ...

### pack_methods_nx3_formatted

Value:

      '''
          \'nopack\', \'8\', \'64\', \'256\', \'512\', \'4k\', \'32k\', \'64
      k\', \'256k\', \'2m\', \'16m\'
          \'256-rdp\', \'256-rdp-compressed\', \'32k-rdp\', \'32k-rdp-compre
      ssed\', \'64k-rdp\'
          \'64k-rdp-compressed\', \'16m-rdp\', \'16m-rdp-compressed\'
          \'rfb-hextile\', \'rfb-tight\', \'rfb-tight-compressed\'
          \'8-tight\', \'64-tight\', \'256-tight\', \'512-tight\', \'4k-tigh
      ...

### pack_methods_nx3

Value:

      ['16m',
       '16m-jpeg-0',
       '16m-jpeg-1',
       '16m-jpeg-2',
       '16m-jpeg-3',
       '16m-jpeg-4',
       '16m-jpeg-5',
       '16m-jpeg-6',
      ...

### X2GO_DESKTOPSESSIONS

A dictionary with meta-commands for X2Go's window manager sessions.

Value:

      {'CINNAMON': 'cinnamon',
       'GNOME': 'gnome-session',
       'KDE': 'startkde',
       'LXDE': 'startlxde',
       'LXQt': 'startlxqt',
       'MATE': 'mate-session',
       'TRINITY': 'starttrinity',
       'UNITY': 'unity',
      ...

### RSAHostKey

An RSA host key for this client session. Python X2Go does not use the system's host key but generates its own host key for each running application instance.

Value:

      <paramiko.rsakey.RSAKey object>

### X2GO_PRINT_ACTIONS

Relating print action names and classes.

Value:

      {'DIALOG': 'X2GoPrintActionDIALOG',
       'PDFSAVE': 'X2GoPrintActionPDFSAVE',
       'PDFVIEW': 'X2GoPrintActionPDFVIEW',
       'PRINT': 'X2GoPrintActionPRINT',
       'PRINTCMD': 'X2GoPrintActionPRINTCMD'}

### X2GO_MIMEBOX_ACTIONS

Relating MIME box action names and classes.

Value:

      {'OPEN': 'X2GoMIMEboxActionOPEN',
       'OPENWITH': 'X2GoMIMEboxActionOPENWITH',
       'SAVEAS': 'X2GoMIMEboxActionSAVEAS'}

### X2GO_MIMEBOX_EXTENSIONS_BLACKLIST

Black-listed MIME box file extenstions.

Value:

      ['LOCK',
       'SYS',
       'SWP',
       'EXE',
       'COM',
       'CMD',
       'PS1',
       'PS2',
      ...